package de.oaa.xxx.session;

import java.util.UUID;

public class Session {

    private UUID sessionId;
    private UUID userId;
    private Integer wahrscheinlichkeitSperre;
    private Integer wahrscheinlichkeitStrafe;
    private Integer aufgabenProLevel;
    private Double zeitfaktorZeitstrafen;

    public UUID getSessionId() { return sessionId; }
    public void setSessionId(UUID sessionId) { this.sessionId = sessionId; }

    public UUID getUserId() { return userId; }
    public void setUserId(UUID userId) { this.userId = userId; }

    public Integer getWahrscheinlichkeitSperre() { return wahrscheinlichkeitSperre; }
    public void setWahrscheinlichkeitSperre(Integer wahrscheinlichkeitSperre) { this.wahrscheinlichkeitSperre = wahrscheinlichkeitSperre; }

    public Integer getWahrscheinlichkeitStrafe() { return wahrscheinlichkeitStrafe; }
    public void setWahrscheinlichkeitStrafe(Integer wahrscheinlichkeitStrafe) { this.wahrscheinlichkeitStrafe = wahrscheinlichkeitStrafe; }

    public Integer getAufgabenProLevel() { return aufgabenProLevel; }
    public void setAufgabenProLevel(Integer aufgabenProLevel) { this.aufgabenProLevel = aufgabenProLevel; }

    public Double getZeitfaktorZeitstrafen() { return zeitfaktorZeitstrafen; }
    public void setZeitfaktorZeitstrafen(Double zeitfaktorZeitstrafen) { this.zeitfaktorZeitstrafen = zeitfaktorZeitstrafen; }
}
